Subject: Re: bug#43015: git-fetched packages' working copy is not writable

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 04 Feb 2021 07:41:10 -0500

Hello,

Efraim Flashner <[email-masked]> writes:

> On Mon, Aug 24, 2020 at 11:13:59AM +0200, Danny Milosavljevic wrote:
>> Hi,
>> 
>> the working copy of a package build when the package was git-fetched is not
>> writable.
>> 
>> On the other hand, if it's url-fetched, it's perfectly writable.
>> 
>> Shall we fix this on core-updates ?
>
> (ins)efraim@E5400 ~/workspace/guix$ git grep make-files-writable | grep unpack | grep gnu/packages
> gnu/packages/bioinformatics.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/code.scm:                    (add-after 'unpack 'make-files-writable
> gnu/packages/djvu.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/java.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/java.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/java.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/java.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/machine-learning.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/ocaml.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/ruby.scm:                    (add-after 'unpack 'make-files-writable
>
> My only concern would be if there were files which weren't supposed to
> be writable. We're building the package, not making changes to be
> submitted upstream or anything, so I don't see that as being a reason to
> hold back.
>
> I'm in favor

I've included the fix as part as the unpack phase, and pushed to
core-updates as commit 6129ebddbd.

Thanks for the report!

Closing.

Maxim